# == Class: dynmotd::config
#
# Configure the display of the Motd
#
class dynmotd::config {

  # Need to print Motd upon successful ssh login
  if $dynmotd::print_motd_ssh == true {
    augeas { 'print_motd_ssh':
      context => '/files/etc/pam.d/sshd',
      changes => [
        "set *[module = 'pam_motd.so']/argument motd=${dynmotd::dynmotd_path}",
        "set *[module = 'pam_motd.so']/argument[1] motd=${dynmotd::dynmotd_path}",
      ],
      onlyif  => "match *[argument = 'motd=${dynmotd::dynmotd_path}'] size == 0",
    }
  }

  # Need to print Motd upon successful shadow login
  if $dynmotd::print_motd_login == true {
    augeas { 'print_motd_login':
      context => '/files/etc/pam.d/login',
      changes => [
        "set *[module = 'pam_motd.so']/argument motd=${dynmotd::dynmotd_path}",
      ],
      onlyif  => "match *[argument = 'motd=${dynmotd::dynmotd_path}'] size == 0",
    }
  }

} # Private class: dynmotd::config
