# == Class: dynmotd
#
# Full description of class dynmotd here.
#
# === Parameters
#
# Document parameters here.
#
# [*sample_parameter*]
#   Explanation of what this parameter affects and what it defaults to.
#   e.g. "Specify one or more upstream ntp servers as an array."
#
# === Variables
#
# Here you should define a list of variables that this module would require.
#
# [*sample_variable*]
#   Explanation of how this variable affects the funtion of this class and if
#   it has a default. e.g. "The parameter enc_ntp_servers must be set by the
#   External Node Classifier as a comma separated list of hostnames." (Note,
#   global variables should be avoided in favor of class parameters as
#   of Puppet 2.6.)
#
# === Examples
#
#  class { 'dynmotd':
#    servers => [ 'pool.ntp.org', 'ntp.local.company.com' ],
#  }
#
# === Authors
#
# Author Name <author@domain.com>
#
# === Copyright
#
# Copyright 2015 Your name here, unless otherwise noted.
#
class dynmotd (
  $dynmotd_path                 = $dynmotd::params::dynmotd_path,
  $update_motd_dir_path         = $dynmotd::params::update_motd_dir_path,
  $system_info_script_name      = $dynmotd::params::system_info_script_name,
  $system_info_script_content   = $dynmotd::params::system_info_script_content,
  $user_info_script_name        = $dynmotd::params::user_info_script_name,
  $user_info_script_content     = $dynmotd::params::user_info_script_content,
  $auth_info_script_name        = $dynmotd::params::auth_info_script_name,
  $auth_info_script_content     = $dynmotd::params::auth_info_script_content,
  $fs_info_script_name          = $dynmotd::params::fs_info_script_name,
  $fs_info_script_content       = $dynmotd::params::fs_info_script_content,
  $ceph_info_script_name        = $dynmotd::params::ceph_info_script_name,
  $ceph_info_script_content     = $dynmotd::params::ceph_info_script_content,
  $service_info_script_name     = $dynmotd::params::service_info_script_name,
  $service_info_script_content  = $dynmotd::params::service_info_script_content,
  $static_motd_path             = $dynmotd::params::static_motd_path,
  $static_motd_content          = $dynmotd::params::static_motd_content,
  $print_motd_ssh               = $dynmotd::params::print_motd_ssh,
  $print_motd_login             = $dynmotd::params::print_motd_login,
) inherits dynmotd::params {

  include dynmotd::install
  include dynmotd::config

  Class['dynmotd::install'] ->
  Class['dynmotd::config']

} # Public class: dynmotd
