# == Class: dynmotd::install
#
# Create directory and install scripts to provide a Dynamic Motd
#
class dynmotd::install {

  File {
    owner => root,
    group => root,
    mode  => 0755,
  }

  # Dynamic Motd folder and scripts
  file { $dynmotd::update_motd_dir_path:
    ensure => directory,
  }
  ->
  file { "${dynmotd::update_motd_dir_path}/${dynmotd::system_info_script_name}":
    ensure  => present,
    content => template($dynmotd::system_info_script_content),
  }
  ->
  file { "${dynmotd::update_motd_dir_path}/${dynmotd::user_info_script_name}":
    ensure  => present,
    content => template($dynmotd::user_info_script_content),
  }
  ->
  file { "${dynmotd::update_motd_dir_path}/${dynmotd::auth_info_script_name}":
    ensure  => present,
    content => template($dynmotd::auth_info_script_content),
  }
  ->
  file { "${dynmotd::update_motd_dir_path}/${dynmotd::fs_info_script_name}":
    ensure  => present,
    content => template($dynmotd::fs_info_script_content),
  }
  ->
  file { "${dynmotd::update_motd_dir_path}/${dynmotd::ceph_info_script_name}":
    ensure  => present,
    content => template($dynmotd::ceph_info_script_content),
  }
  ->
  file { "${dynmotd::update_motd_dir_path}/${dynmotd::service_info_script_name}":
    ensure  => present,
    content => template($dynmotd::service_info_script_content),
  }

  # Static Motd
  file { $dynmotd::static_motd_path:
    ensure  => present,
    mode    => '0644',
    content => template($dynmotd::static_motd_content),
  }


} # Private class: dynmotd::install
