# == Class: dynmotd::params
#
class dynmotd::params {
  case $::osfamily {
    'Debian': {
      # The dynamic Motd provide by the update motd directory
      $dynmotd_path                 = '/var/run/motd'

      # Dynamic Motd's script directory
      $update_motd_dir_path         = '/etc/update-motd.d'

      # Dynamic Motd scripts
      $system_info_script_name      = '01system'
      $system_info_script_content   = 'dynmotd/motd_system_info.erb'
      $user_info_script_name        = '02user'
      $user_info_script_content     = 'dynmotd/motd_user_info.erb'
      $auth_info_script_name        = '03auth'
      $auth_info_script_content     = 'dynmotd/motd_auth_info.erb'
      $fs_info_script_name          = '04fs'
      $fs_info_script_content       = 'dynmotd/motd_fs_info.erb'
      $ceph_info_script_name        = '05ceph'
      $ceph_info_script_content     = 'dynmotd/motd_ceph_info.erb'
      $service_info_script_name     = '06service'
      $service_info_script_content  = 'dynmotd/motd_service_info.erb'

      # Static Motd
      $static_motd_path             = '/etc/motd'
      $static_motd_content          = 'dynmotd/static_motd.erb'

      # Print Motd
      $print_motd_ssh               = true
      $print_motd_login             = true

    }
    default: {
      fail('This Puppet module has been tested only on Debian OS family.')
    }

  }
} # Private class: dynmotd::params
